Build Smack 4.2.4-jitsi

Hi,

What are the environment requirements including but not limited to gradle version, java version to build Smack from source code https://github.com/jitsi/Smack/tree/4.2.4-jitsi? I need to make some local changes to Smack.

Thanks,

/Kaiduan